<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Producto - Muebleria Lucy</title>
	<link rel="icon" type="text/css" href="img/icono.png">
	<link rel="stylesheet" type="text/css" href="src/bootstrap-5.1.3-dist/css/bootstrap.min.css">
	<link rel="stylesheet" type="text/css" href="src/bootstrap-icons-1.8.1/bootstrap-icons.css">
	<link rel="stylesheet" type="text/css" href="css/styles.css">
	<script type="text/javascript" src="src/bootstrap-5.1.3-dist/js/bootstrap.min.js"></script>
</head>
<body>
	<!--MODALS-->
	<div></div>
	<header  id="cabecera">
	</header>
	<main class="container">
			<div class="row mt-4 mb-4">
				<div class="col-12 col-md-6 text-md-end text-center">
					<img id="imgProd" src="img/productos/1/1.png" class="img-fluid">
				</div>
				<div class="col-12 col-md-4">
					<h1 class="placeholder-glow" id="nombreMueble"><span class="placeholder col-6"></h1>
					<hr>
					<div class="row mt-4">
						<div class="col-4">Categoria:</div>
						<div class="col-8 placeholder-glow" id="categoriaMueble"><span class="placeholder col-6"></span></div>
					</div>
					<div class="row mt-4">
						<div class="col-4">Material:</div>
						<div class="col-8 placeholder-glow" id="materialMueble"><span class="placeholder col-6"></span></div>
					</div>
					<div class="row mt-4">
						<div class="col-4"><label>Precio:</div>
						<div class="col-8"><h4>S/ <span class="placeholder-glow" id="precioMueble"><span class="placeholder col-2"></span></span></h4></label></div>
					</div>
					<hr>
					<div class="row">
						<div class="col-5">
							<div class="input-group">
							  	<button class="btn btn-sm btn-primary" type="button" id="button_remove" onclick="modificarStock(-1)"><i class="bi bi-dash-lg font-bold"></i></button>
							  	<input type="number" id="cantidad" class="cantidaCarrito" min="1" value="1" onchange="validarNegativos(this,'${element.idCarrito}')">
							  	<button class="btn btn-sm btn-primary" type="button" id="button_add" onclick="modificarStock(1)"><i class="bi bi-plus-lg font-bold"></i></button>
							</div>
						</div>
						<div class="col-7">
							<button type="button" onclick="agregarCarrito()" style='width: 100%;' class="btn btn-sm btn-primary">Añadir al carrito <span id="icon_${element.idMueble}"><i class="bi bi-bag"></i></button></span> 
						</div>
					</div>
				</div>
			</div>
		
	    <!-- FOOTER -->
		<footer class="container">
			<p class="float-end"><a href="#">Regresar arriba</a></p>
			<p>© 2022 Muebleria Lucy</p>
		</footer>
	</main>


<script type="text/javascript" src="src/jquery-3.6.0/jquery-3.6.0.min.js"></script>
<script type="text/javascript" src="js/util.js"></script>
<script type="text/javascript" src="js/scripts.js"></script>
<script type="text/javascript" src="js/index.js"></script>
<script type="text/javascript">
	
	$(document).ready(function() {
		cargarProducto()
	});

	let idMueble = "";
	let precioMueble = 0;
	function cargarProducto() {
		idMueble = getParameterByName('idMueble');
		console.log('idMueble es:'+idMueble);

		$.post('functions/CargarProducto.php', {idMueble}, function(data, textStatus, xhr) {
			let response = JSON.parse(data);

			response.producto.forEach( function(element, index) {
				precioMueble = element.precioMueble;
				$("#nombreMueble").html(element.nombreMueble);
				$("#categoriaMueble").html(element.categoria);
				$("#materialMueble").html(element.materialMueble);
				$("#precioMueble").html(precioMueble);
				$("#imgProd").attr({src: element.fotoMueble});

			});
		});		
	}

	function agregarCarrito() {
		let cantidad =  $("#cantidad").val();
		
		addCar(idMueble,cantidad,precioMueble);
	}

	function validarNegativos(obj,idCarrito){
		let cantidad = parseInt($("#"+obj.id).val());
		if (cantidad<1) {
			cantidad = 1;
			$("#"+obj.id).val(cantidad);
		}
	}

	function modificarStock (cantidad) {
		$("#button_remove").attr('disabled', 'true').html(`<span class="spinner-grow spinner-grow-sm" role="status" aria-hidden="true"></span>`)
		$("#button_add").attr('disabled', 'true').html(`<span class="spinner-grow spinner-grow-sm" role="status" aria-hidden="true"></span>`)
		let nuevaCantidad = parseInt($("#cantidad").val())+cantidad;
		if (nuevaCantidad>0) {
			$("#cantidad").val(nuevaCantidad);
		}
		$("#button_remove").removeAttr('disabled').html(`<i class="bi bi-dash-lg font-bold"></i>`)
		$("#button_add").removeAttr('disabled').html(`<i class="bi bi-plus-lg font-bold"></i>`)
	}

</script>
</body>
</html>